__BLK_DRAIN_QUEUE(9)

NAME
__blk_drain_queue - drain requests from request_queue

SYNOPSIS

void __blk_drain_queue(struct request_queue * q, bool drain_all);

ARGUMENTS

q
    queue to drain

drain_all
    whether to drain all requests or only the ones w/ ELVPRIV

DESCRIPTION

Drain requests from q. If drain_all is set, all requests are drained. If not, only ELVPRIV requests are drained. The caller is responsible for ensuring that no new requests which need to be drained are queued.

COPYRIGHT